Transactions
Get Transaction History
Returns paginated on-chain transaction history for a given wallet address.
GET
/
api
/
defi
/
v1
/
transactions
Get Transaction History
curl --request GET \
--url https://edge.p2p.org/api/defi/v1/transactions \
--header 'X-Client-Hash: <api-key>'import requests
url = "https://edge.p2p.org/api/defi/v1/transactions"
headers = {"X-Client-Hash": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Hash': '<api-key>'}};
fetch('https://edge.p2p.org/api/defi/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"list": [
{
"id": "<string>",
"hash": "<string>",
"type": "<string>",
"chain": "<string>",
"asset": {
"name": "<string>",
"ecosystem": "<string>",
"chain": "<string>",
"symbol": "<string>",
"decimals": 123,
"contractAddress": "<string>",
"logoURI": "<string>",
"priceUsd": 123,
"totalSupply": 123,
"isStakeable": true
},
"status": "success",
"amount": 123,
"userAddress": "<string>",
"contractAddress": "<string>",
"extraData": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"limit": 123,
"totalCount": 123
},
"error": null,
"meta": {
"time": 123,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"result": null,
"error": {
"name": "<string>",
"message": "<string>",
"validationErrors": [
{}
]
},
"meta": {
"time": 123,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"result": null,
"error": {
"name": "<string>",
"message": "<string>",
"validationErrors": [
{}
]
},
"meta": {
"time": 123,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
ClientHashApiKey
Query Parameters
Comma-separated transaction types.
Available options:
morpho_deposit, morpho_withdrawal, lombard_deposit, lombard_withdrawal, veda_deposit, veda_withdrawal, resolv_deposit, resolv_withdrawal, etherfi_veda_deposit, etherfi_veda_withdrawal, eth_ssv_deposit, eth_ssv_withdrawal, eth_ssv_unstake, solana_deposit, solana_withdrawal, solana_unstake, near_withdrawal, near_unstake, polkadot_deposit, polkadot_withdrawal, polkadot_unstake, avail_deposit, avail_withdrawal, avail_unstake, ton_whales_deposit, ton_whales_withdrawal, ton_whales_unstake Required range:
1 <= x <= 10000Required range:
1 <= x <= 100000Get Transaction History
